> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bluvo.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Balance

> Get withdrawable balances and supported networks.

**Required API Key Scopes:** `read`



## OpenAPI

````yaml https://api-bluvo.com/api/v0/openapi get /v0/wallet/withdraw/balance
openapi: 3.1.0
info:
  title: Bluvo API (v0)
  description: APIs to supercharge your crypto project.
  version: 0.0.3
  termsOfService: https://bluvo.co/terms
  contact:
    name: Bluvo
    email: help@bluvo.co
    url: https://bluvo.co
servers:
  - url: https://api-bluvo.com
    description: Production Server
  - url: https://test.api-bluvo.com
    description: Development Server
security: []
paths:
  /v0/wallet/withdraw/balance:
    get:
      tags:
        - Withdrawals
      summary: Balance
      description: |-
        Get withdrawable balances and supported networks.

        **Required API Key Scopes:** `read`
      operationId: walletwithdrawbalancebalance
      parameters:
        - name: refreshThresholdMinutes
          in: query
          required: false
          description: >-
            Override balance refresh threshold in minutes. Set to 0 to always
            refresh balances from the exchange. Defaults to 0.
          schema:
            type: integer
            minimum: 0
        - name: autoDeleteIfInvalid
          in: query
          required: false
          description: >-
            Automatically delete the wallet if API credentials are found to be
            invalid during balance fetch. Defaults to true.
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  lastSyncAt:
                    type: string
                  balances:
                    type: array
                    items:
                      type: object
                      properties:
                        asset:
                          type: string
                        amount:
                          type: number
                        amountInFiat:
                          type:
                            - number
                            - 'null'
                        networks:
                          type: array
                          items:
                            type: object
                            properties:
                              chainId:
                                anyOf:
                                  - type: number
                                    const: 1
                                  - type: number
                                    const: 10
                                  - type: number
                                    const: 14
                                  - type: number
                                    const: 19
                                  - type: number
                                    const: 50
                                  - type: number
                                    const: 56
                                  - type: number
                                    const: 61
                                  - type: number
                                    const: 130
                                  - type: number
                                    const: 137
                                  - type: number
                                    const: 146
                                  - type: number
                                    const: 246
                                  - type: number
                                    const: 295
                                  - type: number
                                    const: 314
                                  - type: number
                                    const: 324
                                  - type: number
                                    const: 480
                                  - type: number
                                    const: 592
                                  - type: number
                                    const: 686
                                  - type: number
                                    const: 747
                                  - type: number
                                    const: 1100
                                  - type: number
                                    const: 1116
                                  - type: number
                                    const: 1284
                                  - type: number
                                    const: 1285
                                  - type: number
                                    const: 1329
                                  - type: number
                                    const: 1514
                                  - type: number
                                    const: 1776
                                  - type: number
                                    const: 2020
                                  - type: number
                                    const: 2088
                                  - type: number
                                    const: 2222
                                  - type: number
                                    const: 3338
                                  - type: number
                                    const: 5464
                                  - type: number
                                    const: 5888
                                  - type: number
                                    const: 7000
                                  - type: number
                                    const: 8453
                                  - type: number
                                    const: 9745
                                  - type: number
                                    const: 10001
                                  - type: number
                                    const: 16600
                                  - type: number
                                    const: 42161
                                  - type: number
                                    const: 42170
                                  - type: number
                                    const: 42220
                                  - type: number
                                    const: 42262
                                  - type: number
                                    const: 43114
                                  - type: number
                                    const: 57073
                                  - type: number
                                    const: 59144
                                  - type: number
                                    const: 80094
                                  - type: number
                                    const: 81457
                                  - type: number
                                    const: 100009
                                  - type: 'null'
                              tokenAddress:
                                type:
                                  - string
                                  - 'null'
                              contractAddress:
                                type:
                                  - string
                                  - 'null'
                              contractAddressVerified:
                                type:
                                  - boolean
                                  - 'null'
                              id:
                                type: string
                              name:
                                type: string
                              displayName:
                                type: string
                              minWithdrawal:
                                type: string
                              maxWithdrawal:
                                type: string
                              assetName:
                                type: string
                              addressRegex:
                                type:
                                  - string
                                  - 'null'
                            required:
                              - id
                              - name
                              - displayName
                              - minWithdrawal
                              - assetName
                        extra:
                          type: object
                          properties:
                            slug:
                              type: string
                            assetId:
                              type: string
                      required:
                        - asset
                        - amount
                        - networks
                required:
                  - lastSyncAt
                  - balances
              example:
                lastSyncAt: '2025-01-21T08:10:34.942Z'
                balances:
                  - asset: ADA
                    amount: 0.032475
                    amountInFiat: 0.02804703375
                    networks:
                      - id: base
                        name: base
                        displayName: Base
                        minWithdrawal: '1'
                        maxWithdrawal: '5000000'
                        assetName: ADA
                        addressRegex: >-
                          (^(addr)1[ac-hj-np-z02-9]{6,}$)|(^(DdzFFz|Ae2td)[1-9A-HJ-NP-Za-km-z]+)
                      - id: cardano
                        name: cardano
                        displayName: Cardano
                        minWithdrawal: '1'
                        maxWithdrawal: '5000000'
                        assetName: ADA
                        addressRegex: >-
                          (^(addr)1[ac-hj-np-z02-9]{6,}$)|(^(DdzFFz|Ae2td)[1-9A-HJ-NP-Za-km-z]+)
                  - asset: SOL
                    amount: 0.001242188
                    amountInFiat: 0.26810764698
                    networks:
                      - id: solana
                        name: solana
                        displayName: Solana
                        minWithdrawal: '0.005'
                        maxWithdrawal: '200000'
                        assetName: SOL
                        addressRegex: ^[1-9A-HJ-NP-Za-km-z]{32,44}
                  - asset: MATIC
                    amount: 0.00987156
                    networks:
                      - id: ethereum
                        name: ethereum
                        displayName: Ethereum
                        minWithdrawal: '1e-7'
                        maxWithdrawal: '10000000'
                        assetName: MATIC
                        addressRegex: ^(0x)[0-9A-Fa-f]{40}$
                  - asset: NU
                    amount: 5.59075662
                    networks:
                      - id: ethereum
                        name: ethereum
                        displayName: Ethereum
                        minWithdrawal: '43.3'
                        maxWithdrawal: '7559900'
                        assetName: NU
                        addressRegex: ^(0x)[0-9A-Fa-f]{40}$
                  - asset: MANA
                    amount: 0.02350406
                    amountInFiat: 0.007538927244999999
                    networks:
                      - id: ethereum
                        name: ethereum
                        displayName: Ethereum
                        minWithdrawal: '0.01'
                        maxWithdrawal: '2275400'
                        assetName: MANA
                        addressRegex: ^(0x)[0-9A-Fa-f]{40}$
                  - asset: ALGO
                    amount: 0.089748
                    amountInFiat: 0.020965132799999998
                    networks:
                      - id: algorand
                        name: algorand
                        displayName: Algorand
                        minWithdrawal: '0.1'
                        maxWithdrawal: '55000000'
                        assetName: ALGO
                        addressRegex: ^[A-Z2-7]{58}$
                  - asset: ETC
                    amount: 0.00007164
                    amountInFiat: 0.001463247
                    networks:
                      - id: ethereum_classic
                        name: ethereumclassic
                        displayName: Ethereum Classic
                        minWithdrawal: '0.001'
                        maxWithdrawal: '15350'
                        assetName: ETC
                        addressRegex: ^(0x)[0-9A-Fa-f]{40}$
                  - asset: XRP
                    amount: 0.025191
                    amountInFiat: 0.07440791625
                    networks:
                      - id: base
                        name: base
                        displayName: Base
                        minWithdrawal: '1'
                        maxWithdrawal: '10000000'
                        assetName: XRP
                        addressRegex: ^r[1-9a-km-zA-HJ-NP-Z]{25,35}$
                      - id: ripple
                        name: ripple
                        displayName: Ripple
                        minWithdrawal: '0.35'
                        maxWithdrawal: '10000000'
                        assetName: XRP
                        addressRegex: ^r[1-9a-km-zA-HJ-NP-Z]{25,35}$
                  - asset: LTC
                    amount: 0.00027151
                    amountInFiat: 0.0303955445
                    networks:
                      - id: base
                        name: base
                        displayName: Base
                        minWithdrawal: '0.001'
                        maxWithdrawal: '54400'
                        assetName: LTC
                        addressRegex: >-
                          ^((L|M)[a-km-zA-HJ-NP-Z1-9]{25,34})|^(ltc1([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{39}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}))$
                      - id: litecoin
                        name: litecoin
                        displayName: Litecoin
                        minWithdrawal: '0.001'
                        maxWithdrawal: '54400'
                        assetName: LTC
                        addressRegex: >-
                          ^((L|M)[a-km-zA-HJ-NP-Z1-9]{25,34})|^(ltc1([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{39}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{59}))$
                  - asset: XLM
                    amount: 0.0394491
                    amountInFiat: 0.01472585591625
                    networks:
                      - id: stellar
                        name: stellar
                        displayName: Stellar
                        minWithdrawal: '2'
                        maxWithdrawal: '30000000'
                        assetName: XLM
                        addressRegex: ^G[A-Z2-7]{55}$
                  - asset: OXT
                    amount: 0.18757786
                    amountInFiat: 0.009988521045
                    networks:
                      - id: ethereum
                        name: ethereum
                        displayName: Ethereum
                        minWithdrawal: '0.01'
                        maxWithdrawal: '11572400'
                        assetName: OXT
                        addressRegex: ^(0x)[0-9A-Fa-f]{40}$
                  - asset: EUR
                    amount: 0.27
                    networks: []
                  - asset: BTC
                    amount: 0.00032638
                    amountInFiat: 36.3887051073
                    networks:
                      - id: arbitrum
                        name: arbitrum
                        displayName: Arbitrum
                        minWithdrawal: '0.00002'
                        maxWithdrawal: '200'
                        assetName: BTC
                        addressRegex: >-
                          ^([13][a-km-zA-HJ-NP-Z1-9]{25,34})|^(bc1[pqzry9x8gf2tvdw0s3jn54khce6mua7l]([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{38}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{58}))$
                      - id: base
                        name: base
                        displayName: Base
                        minWithdrawal: '0.00002'
                        maxWithdrawal: '200'
                        assetName: BTC
                        addressRegex: >-
                          ^([13][a-km-zA-HJ-NP-Z1-9]{25,34})|^(bc1[pqzry9x8gf2tvdw0s3jn54khce6mua7l]([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{38}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{58}))$
                      - id: bitcoin
                        name: bitcoin
                        displayName: Bitcoin
                        minWithdrawal: '0.0001'
                        maxWithdrawal: '2400'
                        assetName: BTC
                        addressRegex: >-
                          ^([13][a-km-zA-HJ-NP-Z1-9]{25,34})|^(bc1[pqzry9x8gf2tvdw0s3jn54khce6mua7l]([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{38}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{58}))$
                      - id: ethereum
                        name: ethereum
                        displayName: Ethereum
                        minWithdrawal: '0.00002'
                        maxWithdrawal: '200'
                        assetName: BTC
                        addressRegex: >-
                          ^([13][a-km-zA-HJ-NP-Z1-9]{25,34})|^(bc1[pqzry9x8gf2tvdw0s3jn54khce6mua7l]([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{38}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{58}))$
                      - id: solana
                        name: solana
                        displayName: Solana
                        minWithdrawal: '0.00002'
                        maxWithdrawal: '200'
                        assetName: BTC
                        addressRegex: >-
                          ^([13][a-km-zA-HJ-NP-Z1-9]{25,34})|^(bc1[pqzry9x8gf2tvdw0s3jn54khce6mua7l]([qpzry9x8gf2tvdw0s3jn54khce6mua7l]{38}|[qpzry9x8gf2tvdw0s3jn54khce6mua7l]{58}))$
        '403':
          description: Forbidden - Insufficient API key permissions
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: APIKEY_INSUFFICIENT_PERMISSIONS
                  missing:
                    type: array
                    items:
                      type: string
                required:
                  - error
                  - type
                  - missing
              example:
                error: Insufficient permissions
                type: APIKEY_INSUFFICIENT_PERMISSIONS
                missing:
                  - read
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  type:
                    type: string
                    const: WALLET_NOT_FOUND
                  result: {}
                required:
                  - error
                  - type
              example:
                error: Wallet not found
                type: WALLET_NOT_FOUND
      security:
        - bluvoApiKey:
            - x-bluvo-api-key
          bluvoOrgId:
            - x-bluvo-org-id
          bluvoProjectId:
            - x-bluvo-project-id
          bluvoWalletId:
            - x-bluvo-wallet-id
components:
  securitySchemes:
    bluvoApiKey:
      type: apiKey
      name: x-bluvo-api-key
      in: header
      description: Bluvo API Key
    bluvoOrgId:
      type: apiKey
      name: x-bluvo-org-id
      in: header
      description: Bluvo Organization ID
    bluvoProjectId:
      type: apiKey
      name: x-bluvo-project-id
      in: header
      description: Bluvo Project ID
    bluvoWalletId:
      type: apiKey
      name: x-bluvo-wallet-id
      in: header
      description: Bluvo Wallet ID

````